| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iDocumentSystem Struct Reference
[Utilities]

An iDocument factory. More...

`#include <iutil/document.h>`

Inheritance diagram for iDocumentSystem:

[legend]
List of all members.

## Public Member Functions
virtual csRef< iDocument > | CreateDocument ()=0
| Create a new empty document.

## Detailed Description

An iDocument factory.

Main creators of instances implementing this interface:

- XmlRead Document System plugin (crystalspace.documentsystem.xmlread)
- XmlTiny Document System plugin (crystalspace.documentsystem.tinyxml)
- Binary Document System plugin (crystalspace.documentsystem.binary)
- Document System Multiplexer plugin (crystalspace.documentsystem.multiplexer)

Main ways to get pointers to this interface:

- CS_QUERY_REGISTRY()

Definition at line 412 of file document.h.

## Member Function Documentation

virtual csRef<iDocument> iDocumentSystem::CreateDocument | ( |  | ) | `[pure virtual]`

Create a new empty document.

Implemented in csTinyDocumentSystem.

The documentation for this struct was generated from the following file:

- iutil/document.h